Skip to content
Start here

Update CF1 Site

client.MagicTransit.Cf1Sites.Update(ctx, cf1SiteID, params) (*Cf1Site, error)
PATCH/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}

Partially updates a specific CF1 Site for an account. Only the fields included in the request body are modified; omitted fields retain their existing values.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
cf1SiteID string

Identifier

maxLength32
params Cf1SiteUpdateParams
AccountID param.Field[string]

Path param: Identifier

maxLength32
Description param.Field[string]Optional

Body param: A human-provided description of the CF1 Site.

Location param.Field[Cf1SiteLocation]Optional

Body param

Name param.Field[string]Optional

Body param: A human-provided name describing the CF1 Site that should be unique within the account.

ReturnsExpand Collapse
type Cf1Site struct{…}
Name string

A human-provided name describing the CF1 Site that should be unique within the account.

ID stringOptional

Identifier

maxLength32
CreatedOn TimeOptional
formatdate-time
Description stringOptional

A human-provided description of the CF1 Site.

Location Cf1SiteLocationOptional
Lat float64Optional

Latitude of the CF1 Site.

formatfloat
Long float64Optional

Longitude of the CF1 Site.

formatfloat
Name stringOptional

Name of nearest town, city, or village.

ModifiedOn TimeOptional
formatdate-time

Update CF1 Site

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  cf1Site, err := client.MagicTransit.Cf1Sites.Update(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    magic_transit.Cf1SiteUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", cf1Site.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "name": "Pad 34",
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "description": "Launch Pad 34",
    "location": {
      "lat": 28.521339842093845,
      "long": -80.56092644815843,
      "name": "Cape Canaveral"
    },
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "name": "Pad 34",
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "description": "Launch Pad 34",
    "location": {
      "lat": 28.521339842093845,
      "long": -80.56092644815843,
      "name": "Cape Canaveral"
    },
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}